Bug 218778 - shmmodule, write() fails on 64 bit systems
shmmodule, write() fails on 64 bit systems
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: python (Show other bugs)
6
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-07 09:48 EST by Wolfgang Ocker
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-06 16:33:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fix write() method on 64 bit systems (286 bytes, patch)
2006-12-07 09:48 EST, Wolfgang Ocker
no flags Details | Diff

  None (edit)
Description Wolfgang Ocker 2006-12-07 09:48:09 EST
Description of problem:

On a 64 bit system the write() method of a shared memory object fails or writes
to a wrong memory location. In PyShmMemory_write(), PyArg_ParseTuple() is called
with an incorrect argument ("s#" requires a pointer to an int, not a pointer to
a long for the string's length).

Small patch attached ...
Comment 1 Wolfgang Ocker 2006-12-07 09:48:09 EST
Created attachment 143057 [details]
fix write() method on 64 bit systems
Comment 2 Jeremy Katz 2007-01-06 16:33:41 EST
The shmmodule isn't included in python as of python 2.5.  I've committed the fix
to CVS so that if we do an update for FC6, it'll go out there.

Note You need to log in before you can comment on or make changes to this bug.